@import url("https://fonts.googleapis.com/css2?family=Inter:wght@400;700&display=swap");
.details ul li {
    margin-bottom: 6px;
}

.details ul ul {
    margin-top: 10px;
    margin-bottom: 5px;
    padding-left: 20px;
}

:root {
  --red: #f45b69;
  --dark-blue: #2690b6;
  --turquoise: #d5b165;
  --white: #fff;
}

*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

a {
  color: inherit;
}

body {
  font: normal 16px/1.5 "Inter", sans-serif;
  padding-bottom: 50px;
}

/* INTRO SECTION
–––––––––––––––––––––––––––––––––––––––––––––––––– */

.intro {

  padding: 100px 0;
}

.container {
  width: 90%;
  max-width: 1200px;
  margin: 0 auto;
  text-align: center;
}

h1 {
  font-size: 2.5rem;
}

/* TIMELINE
–––––––––––––––––––––––––––––––––––––––––––––––––– */
.timeline {
  padding: 50px 20px;
  margin: 0 auto;
  max-width: 1000px;
  color: var(--dark-blue);
}

.timeline ol {
  position: relative;
  list-style: none;
}

.timeline ol::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 3px;
  height: 100%;
  background: var(--turquoise);
}

.timeline ol li .item-inner {
  padding: 20px 180px;
  margin-bottom: 8vh;
}

.timeline ol li .time-wrapper {
  position: relative;
  font-size: 4.5rem;
  font-weight: bold;
  line-height: 0.9;
}

.timeline ol li .time-wrapper::before,
.timeline ol li .time-wrapper::after {
  content: "";
  position: absolute;
  background: var(--turquoise);
}

.timeline ol li .time-wrapper::before {
  top: 50%;
  left: -180px;
  transform: translateY(-50%);
  width: 0;
  height: 3px;
  transition: width 0.8s linear;
}

.timeline ol li .time-wrapper::after {
  top: calc(50% - 8px);
  left: -60px;
  width: 15px;
  height: 15px;
  border-radius: 50%;
  transform: scale(0);
  transform-origin: left center;
  transition: all 0.4s linear;
}

.timeline ol li time,
.timeline ol li .details > * {
  opacity: 0;
  transition: 0.5s;
}

.timeline ol li time {
  display: inline-block;
  transform: translateY(-30px);
}

.timeline ol li .details > * {
  transform: translateY(30px);
}

.timeline ol li .details h3 {
  font-size: 2rem;
  line-height: 1;
  margin: 15px 0;
}

/* ANIMATION STYLES
–––––––––––––––––––––––––––––––––––––––––––––––––– */

.timeline ol li.in-view .time-wrapper::before {
  width: 120px;
}

.timeline ol li.in-view .time-wrapper::after {
  transition-delay: 0.8s;
  transform: scale(1.5);
}

.timeline ol li.in-view time,
.timeline ol li.in-view .details > * {
  opacity: 1;
  transform: none;
}

.timeline ol li.in-view time {
  transition-delay: 1.3s;
}

.timeline ol li.in-view .details h3 {
  transition-delay: 1.5s;
}

.timeline ol li.in-view .details p {
  transition-delay: 1.7s;
}

/* MQ STYLES
–––––––––––––––––––––––––––––––––––––––––––––––––– */
@media (max-width: 700px) {
  .timeline ol li .item-inner {
    padding: 20px 40px;
  }

  .timeline ol li .time-wrapper::before {
    display: none;
  }

  .timeline ol li .time-wrapper::after {
    left: -45px;
    transform-origin: center;
  }

  .timeline ol li.in-view .time-wrapper::after {
    transition-delay: 0s;
  }

  .timeline ol li.in-view time {
    transition-delay: 0.5s;
  }

  .timeline ol li.in-view .details h3 {
    transition-delay: 0.7s;
  }

  .timeline ol li.in-view .details p {
    transition-delay: 0.9s;
  }
}

/* FOOTER STYLES
–––––––––––––––––––––––––––––––––––––––––––––––––– */
.page-footer {
  position: fixed;
  right: 0;
  bottom: 20px;
  display: flex;
  align-items: center;
  padding: 5px;
  background: rgba(255, 255, 255, 0.65);
}

.page-footer a {
  display: flex;
  margin-left: 4px;
}
